Page MenuHomePhabricator

Add wbladdsense API action to create a new sense for a lexeme
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterRename FormSummaryAggregator to SummaryAggregator
mediawiki/extensions/WikibaseLexeme : masterAdd API module for adding Senses
mediawiki/extensions/WikibaseLexeme : masterAdd ChangeOps for editing senses
mediawiki/extensions/WikibaseLexeme : masterAdd parsing and deserialization of sense ChangeOps

Related Objects

Event Timeline

Addshore removed the point value for this task.
Ladsgroup moved this task from To Do to Doing on the Wikidata-Senses-Iteration1 board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 3 2018, 12:06 PM
Ladsgroup removed Ladsgroup as the assignee of this task.Jul 4 2018, 10:21 AM
Ladsgroup moved this task from Doing to To Do on the Wikidata-Senses-Iteration1 board.
Ladsgroup added a subscriber: Ladsgroup.
Addshore moved this task from To Do to Doing on the Wikidata-Senses-Iteration1 board.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJul 12 2018, 11:55 AM
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.Jul 12 2018, 3:03 PM

Change 445613 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] WIP API module for adding Senses

https://gerrit.wikimedia.org/r/445613

Change 446284 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add SenseSummaryAggregator

https://gerrit.wikimedia.org/r/446284

Change 446285 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add ChangeOps for editing senses

https://gerrit.wikimedia.org/r/446285

Change 446286 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add parsing and deserialization of sense ChangeOps

https://gerrit.wikimedia.org/r/446286

Change 446284 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Rename FormSummaryAggregator to SummaryAggregator

https://gerrit.wikimedia.org/r/446284

Change 446285 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add ChangeOps for editing senses

https://gerrit.wikimedia.org/r/446285

Change 446286 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add parsing and deserialization of sense ChangeOps

https://gerrit.wikimedia.org/r/446286

Change 445613 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add API module for adding Senses

https://gerrit.wikimedia.org/r/445613

Lucas_Werkmeister_WMDE closed this task as Resolved.Jul 23 2018, 10:23 AM
Addshore moved this task from Next to Closing ✔️ on the User-Addshore board.Jul 26 2018, 11:22 AM